%% Script Description
% Identification of a force injected into the NASS (in cartesian
% coordinates) to the relative displacement of the sample
% and granite.

%%
clear; close all; clc;

%%
initializeNanoHexapod(struct('actuator', 'lorentz'));
initializeSample(struct('mass', 1));

G_1_vc = identifyG();

initializeNanoHexapod(struct('actuator', 'piezo'));
G_1_pz = identifyG();

%%
initializeNanoHexapod(struct('actuator', 'lorentz'));
initializeSample(struct('mass', 50));

G_50_vc = identifyG();

initializeNanoHexapod(struct('actuator', 'piezo'));
G_50_pz = identifyG();

%% Save the obtained transfer functions
save('./mat/G_f_to_d.mat', 'G_1_vc', 'G_1_pz', 'G_50_vc', 'G_50_pz');
