%% Script Description
% Identification of the transfer function
% from Ground Motion to measured displacement

%%
clear; close all; clc;

%% Open Loop - Light Sample
initializeSample(struct('mass', 1));

initializeNanoHexapod(struct('actuator', 'lorentz'));
Gd_ol_1_vc = identifyGd(struct('cl', false));

initializeNanoHexapod(struct('actuator', 'piezo'));
Gd_ol_1_pz = identifyGd(struct('cl', false));

%% Open Loop - Heavy Sample
initializeSample(struct('mass', 50));

initializeNanoHexapod(struct('actuator', 'lorentz'));
Gd_ol_50_vc = identifyGd(struct('cl', false));

initializeNanoHexapod(struct('actuator', 'piezo'));
Gd_ol_50_pz = identifyGd(struct('cl', false));

%% Save the identified transfer functions
save('./mat/G_xw_to_d.mat', ...
    'Gd_ol_1_vc',  'Gd_ol_1_pz',  'Gd_ol_50_vc', 'Gd_ol_50_pz');
