function [Gd, Gd_raw] = identifyGd(opts_param)
    %% Default values for opts
    opts = struct('cl',  true);

    %% Populate opts with input parameters
    if exist('opts_param','var')
        for opt = fieldnames(opts_param)'
            opts.(opt{1}) = opts_param.(opt{1});
        end
    end

    %% Options for Linearized
    options = linearizeOptions;
    options.SampleTime = 0;

    %% Name of the Simulink File
    if opts.cl
        % Make sure that the loop is closed
        initializeSimConf(struct('cl_time', 0));
        mdl = 'Assemblage';
    else
        mdl = 'sim_nano_station';
    end

    %% Centralized control (Cartesian coordinates)
    % Input/Output definition
    io(1) = linio([mdl, '/Micro-Station/Gm'],     1,'openinput');
    io(2) = linio([mdl, '/Micro-Station/Fs_ext'], 1,'openinput');
    io(3) = linio([mdl, '/Micro-Station/Sample'], 1,'output');

    % Run the linearization
    Gd = linearize(mdl,io, 0);
    Gd.InputName  = {'Dgx', 'Dgy', 'Dgz', 'Fsx', 'Fsy', 'Fsz'};
    Gd.OutputName = {'Dx', 'Dy', 'Dz', 'Rx', 'Ry', 'Rz'};
end
